Bug 20862 - mo_MD@cyrillic: new locale
Summary: mo_MD@cyrillic: new locale
Status: WAITING
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-24 17:00 UTC by Vlad
Modified: 2017-10-21 08:14 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2016-11-26 00:00:00
fweimer: security-


Attachments
Moldovan Cyrillic language locale (1.37 KB, text/plain)
2016-11-24 18:25 UTC, Vlad
Details
Moldovan Cyrillic language locale rev 0.2 (1.43 KB, text/plain)
2016-11-29 10:51 UTC, Vlad
Details
Moldovan Cyrillic language locale rev 0.3 (1.50 KB, text/plain)
2017-01-03 21:18 UTC, Vlad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vlad 2016-11-24 17:00:41 UTC
Hello. Dear maintainers,

Please find attached the locale definition for mo_MD@cyrillic to be
considered for inclusion in glibc.

Thanks!
Comment 1 Vlad 2016-11-24 18:25:37 UTC
Created attachment 9667 [details]
Moldovan Cyrillic language locale
Comment 2 Carlos O'Donell 2016-11-26 01:56:48 UTC
Vlad,

Thank you very much for the locale contribution.

Please review our contribution checklist:
https://sourceware.org/glibc/wiki/Contribution%20checklist

Please note that you do _not_ need copyright assignment to contribute locales, however the patch will have to be sent to libc-alpha@sourceware.org for eventual review.

(a) Use of 'mo' versus 'ro' for locale langauge tag.

Please be aware that as of 2008 the 'mo' tag has been deprecated in favour of using the 'ro' tag. Therefore for a new locale we should probably be using 'ro_MD@cyrillic' for the Moldovan language using Cyrillic script.

(b) LC_IDENTIFICATION category should always be "i18n:2012" since it must specify a published standard of i18n.

(c) Is the mon_thousands_sep and thousands_sep  intended to be a non-breaking space instead of a period as is used in original Romanian?

(d) Please fill in more of the LC_ADDRESS entries as provided by other locales e.g. lang_*.

(e) Please test installing and using your locale. Existing checks for invalid LC_IDENTIFICATION categories should have rejected your locale IIRC. Please confirm you have tested compiling and using your locale e.g.
https://sourceware.org/glibc/wiki/Locales#Testing_Locales

Thank you.
Comment 3 Carlos O'Donell 2016-11-26 01:57:28 UTC
(In reply to Carlos O'Donell from comment #2)
> (a) Use of 'mo' versus 'ro' for locale langauge tag.
> 
> Please be aware that as of 2008 the 'mo' tag has been deprecated in favour
> of using the 'ro' tag. Therefore for a new locale we should probably be
> using 'ro_MD@cyrillic' for the Moldovan language using Cyrillic script.

Let me be clear that the tag deprecation is at the ISO 639-1 level.
Comment 4 Vlad 2016-11-29 10:51:49 UTC
Created attachment 9678 [details]
Moldovan Cyrillic language locale rev 0.2
Comment 5 Vlad 2016-11-29 10:55:07 UTC
(a) Moldovan Cyrillic alphabet is different from the Romanian Cyrillic. Romanian Cyrillic alphabet is not used anymore and contained a number of letters such as Izhitsa, Fita and little Yus not found in Moldovan Cyrillic. So i think it's incorrect to use 'ro' tag, if it's possible we should use 'mo' tag.

(b) Fixed

(c) Fixed

(d) Filled

(e) Tested, looks like everything's ok.

Thank You.
Comment 6 Vlad 2017-01-03 21:18:15 UTC
Created attachment 9737 [details]
Moldovan Cyrillic language locale rev 0.3